import { table } from "console";
import { defineFakeRoute } from "vite-plugin-fake-server/client";
export default defineFakeRoute([
  {
    url: "/get-feedback-list",
    method: "post",
    response: () => {
      return {
        success: true,
        data: {
          list: [
            {
              tableId: 1,
              tableIsSetup: true,
              tableBanner: "https://tdesign.gtimg.com/tdesign-pro/cloud-server.jpg",
              tableName: "SSL证书",
              tableFeedBackNum: 10,
              tableDescription:
                "SSL证书又叫服务器证书，腾讯云为您提供证书的一站式服务，包括免费、付费证书的申请、管理及部",
            },
            {
              tableId: 2,
              tableIsSetup: false,
              tableBanner: "https://tdesign.gtimg.com/tdesign-pro/t-sec.jpg",
              tableName: "人脸识别",
              tableFeedBackNum: 20,
              tableDescription:
                "SSL证书又叫服务器证书，腾讯云为您提供证书的一站式服务，包括免费、付费证书的申请、管理及部",
            },
            {
              tableId: 3,
              tableIsSetup: false,
              tableFeedBackNum: 5,
              tableBanner: "https://tdesign.gtimg.com/tdesign-pro/ssl.jpg",
              tableName: "CVM",
              tableDescription:
                "SSL证书又叫服务器证书，腾讯云为您提供证书的一站式服务，包括免费、付费证书的申请、管理及部",
            },
            {
              tableId: 4,
              tableIsSetup: false,
              tableBanner: "https://tdesign.gtimg.com/tdesign-pro/ssl.jpg",
              tableName: "SSL证书",
              tableFeedBackNum: 15,
              tableDescription:
                "SSL证书又叫服务器证书，腾讯云为您提供证书的一站式服务，包括免费、付费证书的申请、管理及部",
            },
            {
              tableId: 5,
              tableIsSetup: true,
              tableBanner: "https://tdesign.gtimg.com/tdesign-pro/ssl.jpg",
              tableName: "SSL证书",
              tableFeedBackNum: 10,
              tableDescription:
                "SSL证书又叫服务器证书，腾讯云为您提供证书的一站式服务，包括免费、付费证书的申请、管理及部",
            },
          ]
        }
      };
    }
  }
]);
