// 根据角色动态生成路由
import { defineFakeRoute } from "vite-plugin-fake-server/client";

// 后端接受前端返回的path、返回对应path下的所有文件
export default defineFakeRoute([
  {
    url: "file/getResource",
    method: "post",
    response: () => {
      return {
        success: true,
        data:[{
            fileId: 1,
            fileName: "pdf1",
            filePath: "路径1",
            fileType: 'pdf',
            ossPath: "https://xiaoxian521.github.io/hyperlink/pdf/Cookie%E5%92%8CSession%E5%8C%BA%E5%88%AB%E7%94%A8%E6%B3%95.pdf",
            fileSize: 1,
            uploadTime: "2021/10/30 00:00:00",
            uploadPerson: "上传人1",
            downloadTimes: 1
          },
          {
            fileId: 2,
            fileName: "文件夹2",
            filePath: "路径1",
            fileType: 'folder',
            ossPath: "路径2",
            fileSize: 2,
            uploadTime: "2021/10/30 00:00:00",
            uploadPerson: "上传人2",
            downloadTimes: 2
          },{
            fileId: 3,
            fileName: "xlsx3",
            filePath: "路径3",
            fileType: 'xlsx',
            ossPath: "https://xiaoxian521.github.io/hyperlink/other/excel.xlsx",
            fileSize: 1,
            uploadTime: "2021/10/30 00:00:00",
            uploadPerson: "上传人3",
            downloadTimes: 1
          },{
            fileId: 4,
            fileName: "docx4",
            filePath: "路径4",
            fileType: 'docx',
            ossPath: "",
            fileSize: 1,
            uploadTime: "2021/10/30 00:00:00",
            uploadPerson: "上传人4",
            downloadTimes: 1
          }
          ]
      };
    }
  }
]);