import { defineFakeRoute } from "vite-plugin-fake-server/client";
import { faker } from "@faker-js/faker/locale/zh_CN";

export default defineFakeRoute([
  // 账户设置-个人信息
  {
    url: "user/info",
    method: "get",
    response: () => {
      return {
        success: true,
        data: {
          ID: 1,
          avatar: "https://avatars.githubusercontent.com/u/44761321",
          username: "admin",
          nickname: "小铭",
          roles: ["user"],
          email: "pureadmin@163.com",
          phone: "15888886789",  
          backgroundImg: "",
          introduction: "一个热爱开源的前端工程师",
        }
      };
    }
  },
]);
