export type User = {
  username: string;
  roles: string[];
  email: string;
  avatar: string;
  backgroundImg: string;
  introduction: string;
  phone: string;
  nickname: string;
  skills: Array<Skill>;
  activities: Array<Activity>;
  timeline: Array<TimeLine>;
  color: string[];
}

export type Skill = {
  value: number;
  name: string;
}
export type Activity = {
  imgSrc: string;
  username: string;
  needSwiper: boolean;
  description: string;
  time: string;
  information: string;
  carouselImages: Array<string>;
}
export type TimeLine = {
  timestamp: string;
  title: string;
  content: string;
}