// 虽然字段很少 但是抽离出来 后续有扩展字段需求就很方便了

interface FormItemProps {
  /** 反馈编号 */
  feedBackId: number,
  /** 反馈标题 */
  feedBackTitle: string,
  /** 反馈类型 */
  feedBackType: number,
  /** 反馈用户 */
  nickname: string,
  /** 反馈用户编号 */
  userId: number,
  /** 反馈用户头像 */
  headshot: string,
  /** 反馈对于升级包编号 */
  packageId: number,
  /** 反馈对应升级包 */
  packageName: string,
  /**反馈版本 */
  packageVersion: string,
  /** 反馈时间 */
  feedBackTime: string,
  /** 处理状态 */
  status: number,
  /** 反馈内容 */
  feedBackContent: string;
}
interface FormProps {
  formInline: FormItemProps;
}

export type { FormItemProps, FormProps };
